package diff;

public class PathNode {
    public enum Direction {
        NONE, HORIZONTAL, VERTICAL, DIAGONAL
    }

    private int x, y;
    private PathNode prev;

    public PathNode(int x, int y, PathNode prev) {
        this.x = x;
        this.y = y;
        this.prev = prev;
    }

    public int getX() {
        return x;
    }

    public int getY() {
        return y;
    }

    public PathNode getPrev() {
        return prev;
    }

    public Direction getDirection() {
        if (prev == null) {
            return Direction.NONE;
        }
        if (prev.x == x - 1 && prev.y == y) {
            return Direction.HORIZONTAL;
        }
        if (prev.x == x && prev.y == y - 1) {
            return Direction.VERTICAL;
        }
        return Direction.DIAGONAL;
    }
}